Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVRegisterCombiners

    java.lang.Object
      org.lwjgl.opengl.NVRegisterCombiners

    public final class NVRegisterCombiners

extends java.lang.Object

Field Summary
`static int` | `GL_BIAS_BY_NEGATIVE_ONE_HALF_NV`
`static int` | `GL_COLOR_SUM_CLAMP_NV`
`static int` | `GL_COMBINER_AB_DOT_PRODUCT_NV`
`static int` | `GL_COMBINER_AB_OUTPUT_NV`
`static int` | `GL_COMBINER_BIAS_NV`
`static int` | `GL_COMBINER_CD_DOT_PRODUCT_NV`
`static int` | `GL_COMBINER_CD_OUTPUT_NV`
`static int` | `GL_COMBINER_COMPONENT_USAGE_NV`
`static int` | `GL_COMBINER_INPUT_NV`
`static int` | `GL_COMBINER_MAPPING_NV`
`static int` | `GL_COMBINER_MUX_SUM_NV`
`static int` | `GL_COMBINER_SCALE_NV`
`static int` | `GL_COMBINER_SUM_OUTPUT_NV`
`static int` | `GL_COMBINER0_NV`
`static int` | `GL_COMBINER1_NV`
`static int` | `GL_COMBINER2_NV`
`static int` | `GL_COMBINER3_NV`
`static int` | `GL_COMBINER4_NV`
`static int` | `GL_COMBINER5_NV`
`static int` | `GL_COMBINER6_NV`
`static int` | `GL_COMBINER7_NV`
`static int` | `GL_CONSTANT_COLOR0_NV`
`static int` | `GL_CONSTANT_COLOR1_NV`
`static int` | `GL_DISCARD_NV`
`static int` | `GL_E_TIMES_F_NV`
`static int` | `GL_EXPAND_NEGATE_NV`
`static int` | `GL_EXPAND_NORMAL_NV`
`static int` | `GL_HALF_BIAS_NEGATE_NV`
`static int` | `GL_HALF_BIAS_NORMAL_NV`
`static int` | `GL_MAX_GENERAL_COMBINERS_NV`
`static int` | `GL_NUM_GENERAL_COMBINERS_NV`
`static int` | `GL_PRIMARY_COLOR_NV`
`static int` | `GL_REGISTER_COMBINERS_NV`
`static int` | `GL_SCALE_BY_FOUR_NV`
`static int` | `GL_SCALE_BY_ONE_HALF_NV`
`static int` | `GL_SCALE_BY_TWO_NV`
`static int` | `GL_SECONDARY_COLOR_NV`
`static int` | `GL_SIGNED_IDENTITY_NV`
`static int` | `GL_SIGNED_NEGATE_NV`
`static int` | `GL_SPARE0_NV`
`static int` | `GL_SPARE0_PLUS_SECONDARY_COLOR_NV`
`static int` | `GL_SPARE1_NV`
`static int` | `GL_UNSIGNED_IDENTITY_NV`
`static int` | `GL_UNSIGNED_INVERT_NV`
`static int` | `GL_VARIABLE_A_NV`
`static int` | `GL_VARIABLE_B_NV`
`static int` | `GL_VARIABLE_C_NV`
`static int` | `GL_VARIABLE_D_NV`
`static int` | `GL_VARIABLE_E_NV`
`static int` | `GL_VARIABLE_F_NV`
`static int` | `GL_VARIABLE_G_NV`

Method Summary
`static void` | `glCombinerInputNV(int stage, int portion, int variable, int input, int mapping, int componentUsage)`
`static void` | `glCombinerOutputNV(int stage, int portion, int abOutput, int cdOutput, int sumOutput, int scale, int bias, boolean abDotProduct, boolean cdDotProduct, boolean muxSum)`
`static void` | `glCombinerParameterfNV(int pname, float param)`
`static void` | `glCombinerParameteriNV(int pname, int param)`
`static void` | `glCombinerParameterNV(int pname, java.nio.FloatBuffer params)`
`static void` | `glCombinerParameterNV(int pname, java.nio.IntBuffer params)`
`static void` | `glFinalCombinerInputNV(int variable, int input, int mapping, int componentUsage)`
`static void` | `glGetCombinerInputParameterNV(int stage, int portion, int variable, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetCombinerInputParameterNV(int stage, int portion, int variable, int pname, java.nio.IntBuffer params)`
`static void` | `glGetCombinerOutputParameterNV(int stage, int portion, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetCombinerOutputParameterNV(int stage, int portion, int pname, java.nio.IntBuffer params)`
`static void` | `glGetFinalCombinerInputParameterNV(int variable, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetFinalCombinerInputParameterNV(int variable, int pname, java.nio.IntBuffer params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_REGISTER_COMBINERS_NV

    public static final int GL_REGISTER_COMBINERS_NV

See Also:
  Constant Field Values

### GL_COMBINER0_NV

    public static final int GL_COMBINER0_NV

See Also:
  Constant Field Values

### GL_COMBINER1_NV

    public static final int GL_COMBINER1_NV

See Also:
  Constant Field Values

### GL_COMBINER2_NV

    public static final int GL_COMBINER2_NV

See Also:
  Constant Field Values

### GL_COMBINER3_NV

    public static final int GL_COMBINER3_NV

See Also:
  Constant Field Values

### GL_COMBINER4_NV

    public static final int GL_COMBINER4_NV

See Also:
  Constant Field Values

### GL_COMBINER5_NV

    public static final int GL_COMBINER5_NV

See Also:
  Constant Field Values

### GL_COMBINER6_NV

    public static final int GL_COMBINER6_NV

See Also:
  Constant Field Values

### GL_COMBINER7_NV

    public static final int GL_COMBINER7_NV

See Also:
  Constant Field Values

### GL_VARIABLE_A_NV

    public static final int GL_VARIABLE_A_NV

See Also:
  Constant Field Values

### GL_VARIABLE_B_NV

    public static final int GL_VARIABLE_B_NV

See Also:
  Constant Field Values

### GL_VARIABLE_C_NV

    public static final int GL_VARIABLE_C_NV

See Also:
  Constant Field Values

### GL_VARIABLE_D_NV

    public static final int GL_VARIABLE_D_NV

See Also:
  Constant Field Values

### GL_VARIABLE_E_NV

    public static final int GL_VARIABLE_E_NV

See Also:
  Constant Field Values

### GL_VARIABLE_F_NV

    public static final int GL_VARIABLE_F_NV

See Also:
  Constant Field Values

### GL_VARIABLE_G_NV

    public static final int GL_VARIABLE_G_NV

See Also:
  Constant Field Values

### GL_CONSTANT_COLOR0_NV

    public static final int GL_CONSTANT_COLOR0_NV

See Also:
  Constant Field Values

### GL_CONSTANT_COLOR1_NV

    public static final int GL_CONSTANT_COLOR1_NV

See Also:
  Constant Field Values

### GL_PRIMARY_COLOR_NV

    public static final int GL_PRIMARY_COLOR_NV

See Also:
  Constant Field Values

### GL_SECONDARY_COLOR_NV

    public static final int GL_SECONDARY_COLOR_NV

See Also:
  Constant Field Values

### GL_SPARE0_NV

    public static final int GL_SPARE0_NV

See Also:
  Constant Field Values

### GL_SPARE1_NV

    public static final int GL_SPARE1_NV

See Also:
  Constant Field Values

### GL_UNSIGNED_IDENTITY_NV

    public static final int GL_UNSIGNED_IDENTITY_NV

See Also:
  Constant Field Values

### GL_UNSIGNED_INVERT_NV

    public static final int GL_UNSIGNED_INVERT_NV

See Also:
  Constant Field Values

### GL_EXPAND_NORMAL_NV

    public static final int GL_EXPAND_NORMAL_NV

See Also:
  Constant Field Values

### GL_EXPAND_NEGATE_NV

    public static final int GL_EXPAND_NEGATE_NV

See Also:
  Constant Field Values

### GL_HALF_BIAS_NORMAL_NV

    public static final int GL_HALF_BIAS_NORMAL_NV

See Also:
  Constant Field Values

### GL_HALF_BIAS_NEGATE_NV

    public static final int GL_HALF_BIAS_NEGATE_NV

See Also:
  Constant Field Values

### GL_SIGNED_IDENTITY_NV

    public static final int GL_SIGNED_IDENTITY_NV

See Also:
  Constant Field Values

### GL_SIGNED_NEGATE_NV

    public static final int GL_SIGNED_NEGATE_NV

See Also:
  Constant Field Values

### GL_E_TIMES_F_NV

    public static final int GL_E_TIMES_F_NV

See Also:
  Constant Field Values

### GL_SPARE0_PLUS_SECONDARY_COLOR_NV

    public static final int GL_SPARE0_PLUS_SECONDARY_COLOR_NV

See Also:
  Constant Field Values

### GL_SCALE_BY_TWO_NV

    public static final int GL_SCALE_BY_TWO_NV

See Also:
  Constant Field Values

### GL_SCALE_BY_FOUR_NV

    public static final int GL_SCALE_BY_FOUR_NV

See Also:
  Constant Field Values

### GL_SCALE_BY_ONE_HALF_NV

    public static final int GL_SCALE_BY_ONE_HALF_NV

See Also:
  Constant Field Values

### GL_BIAS_BY_NEGATIVE_ONE_HALF_NV

    public static final int GL_BIAS_BY_NEGATIVE_ONE_HALF_NV

See Also:
  Constant Field Values

### GL_DISCARD_NV

    public static final int GL_DISCARD_NV

See Also:
  Constant Field Values

### GL_COMBINER_INPUT_NV

    public static final int GL_COMBINER_INPUT_NV

See Also:
  Constant Field Values

### GL_COMBINER_MAPPING_NV

    public static final int GL_COMBINER_MAPPING_NV

See Also:
  Constant Field Values

### GL_COMBINER_COMPONENT_USAGE_NV

    public static final int GL_COMBINER_COMPONENT_USAGE_NV

See Also:
  Constant Field Values

### GL_COMBINER_AB_DOT_PRODUCT_NV

    public static final int GL_COMBINER_AB_DOT_PRODUCT_NV

See Also:
  Constant Field Values

### GL_COMBINER_CD_DOT_PRODUCT_NV

    public static final int GL_COMBINER_CD_DOT_PRODUCT_NV

See Also:
  Constant Field Values

### GL_COMBINER_MUX_SUM_NV

    public static final int GL_COMBINER_MUX_SUM_NV

See Also:
  Constant Field Values

### GL_COMBINER_SCALE_NV

    public static final int GL_COMBINER_SCALE_NV

See Also:
  Constant Field Values

### GL_COMBINER_BIAS_NV

    public static final int GL_COMBINER_BIAS_NV

See Also:
  Constant Field Values

### GL_COMBINER_AB_OUTPUT_NV

    public static final int GL_COMBINER_AB_OUTPUT_NV

See Also:
  Constant Field Values

### GL_COMBINER_CD_OUTPUT_NV

    public static final int GL_COMBINER_CD_OUTPUT_NV

See Also:
  Constant Field Values

### GL_COMBINER_SUM_OUTPUT_NV

    public static final int GL_COMBINER_SUM_OUTPUT_NV

See Also:
  Constant Field Values

### GL_NUM_GENERAL_COMBINERS_NV

    public static final int GL_NUM_GENERAL_COMBINERS_NV

See Also:
  Constant Field Values

### GL_COLOR_SUM_CLAMP_NV

    public static final int GL_COLOR_SUM_CLAMP_NV

See Also:
  Constant Field Values

### GL_MAX_GENERAL_COMBINERS_NV

    public static final int GL_MAX_GENERAL_COMBINERS_NV

See Also:
  Constant Field Values

Method Detail

### glCombinerParameterfNV

    public static void glCombinerParameterfNV(int pname,
                                              float param)

### glCombinerParameterNV

    public static void glCombinerParameterNV(int pname,
                                             java.nio.FloatBuffer params)

### glCombinerParameteriNV

    public static void glCombinerParameteriNV(int pname,
                                              int param)

### glCombinerParameterNV

    public static void glCombinerParameterNV(int pname,
                                             java.nio.IntBuffer params)

### glCombinerInputNV

    public static void glCombinerInputNV(int stage,
                                         int portion,
                                         int variable,
                                         int input,
                                         int mapping,
                                         int componentUsage)

### glCombinerOutputNV

    public static void glCombinerOutputNV(int stage,
                                          int portion,
                                          int abOutput,
                                          int cdOutput,
                                          int sumOutput,
                                          int scale,
                                          int bias,
                                          boolean abDotProduct,
                                          boolean cdDotProduct,
                                          boolean muxSum)

### glFinalCombinerInputNV

    public static void glFinalCombinerInputNV(int variable,
                                              int input,
                                              int mapping,
                                              int componentUsage)

### glGetCombinerInputParameterNV

    public static void glGetCombinerInputParameterNV(int stage,
                                                     int portion,
                                                     int variable,
                                                     int pname,
                                                     java.nio.FloatBuffer params)

### glGetCombinerInputParameterNV

    public static void glGetCombinerInputParameterNV(int stage,
                                                     int portion,
                                                     int variable,
                                                     int pname,
                                                     java.nio.IntBuffer params)

### glGetCombinerOutputParameterNV

    public static void glGetCombinerOutputParameterNV(int stage,
                                                      int portion,
                                                      int pname,
                                                      java.nio.FloatBuffer params)

### glGetCombinerOutputParameterNV

    public static void glGetCombinerOutputParameterNV(int stage,
                                                      int portion,
                                                      int pname,
                                                      java.nio.IntBuffer params)

### glGetFinalCombinerInputParameterNV

    public static void glGetFinalCombinerInputParameterNV(int variable,
                                                          int pname,
                                                          java.nio.FloatBuffer params)

### glGetFinalCombinerInputParameterNV

    public static void glGetFinalCombinerInputParameterNV(int variable,
                                                          int pname,
                                                          java.nio.IntBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.